# Uses of Class
org.apache.lucene.analysis.morph.ConnectionCosts

Packages that use ConnectionCosts
Package
Description
org.apache.lucene.analysis.morph
Abstract classes for morphological analyzers.

- ## Uses of ConnectionCosts in org.apache.lucene.analysis.morph

  Classes in org.apache.lucene.analysis.morph with type parameters of type ConnectionCosts
  Modifier and Type
  Class
  Description
  `final class`
  `ConnectionCostsWriter<T extends ConnectionCosts>`
  Writes connection costs
  Fields in org.apache.lucene.analysis.morph declared as ConnectionCosts
  Modifier and Type
  Field
  Description
  `protected final ConnectionCosts`
  Viterbi.`costs`
  Constructors in org.apache.lucene.analysis.morph with parameters of type ConnectionCosts
  Modifier
  Constructor
  Description
  ``
  `GraphvizFormatter(ConnectionCosts costs)`
  `protected`
  `Viterbi(TokenInfoFST fst, FST.BytesReader fstReader, BinaryDictionary<? extends MorphData> dictionary, TokenInfoFST userFST, FST.BytesReader userFSTReader, Dictionary<? extends MorphData> userDictionary, ConnectionCosts costs, Class<U> positionImpl)`
  `protected`
  `ViterbiNBest(TokenInfoFST fst, FST.BytesReader fstReader, BinaryDictionary<? extends MorphData> dictionary, TokenInfoFST userFST, FST.BytesReader userFSTReader, Dictionary<? extends MorphData> userDictionary, ConnectionCosts costs)`